Subject: [IPP] question about RFC 2911 and job template attributes

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Mon, 26 Mar 2012 16:58:25 +0000

Hello,

RFC 2911 Section 4.2 "Job Template Attributes" includes the statement "An attribute "xxx" may be supported for some document formats and not supported for other document formats".  If there is an interest in presenting UI corresponding to different attributes, and some were not supported by a particular document format, the code presenting the UI would likely want to not present or disable the UI elements for those that are not supported so that the user's expectations are not violated.  What IPP operation or operations should a client use to query the IPP server to discover what attributes are supported for a particular document format on a particular Printer Object?

Thanks for any help,
Smith

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Mon, 26 Mar 2012 10:09:57 -0700

Smith,

> RFC 2911 Section 4.2 "Job Template Attributes" includes the statement "An attribute "xxx" may be supported for some document formats and not supported for other document formats".  If there is an i…

The values returned by Get-Printer-Attributes can be "colored" (historical terminology) based upon a "document-format" attribute supplied in that request.  Pending extensions in the JPS3 spec allow a Printer to advertise additional attributes that contribute to coloring of values, for example a Printer might allow the "sides" attribute to be specified as well and only return those media sizes that support duplexing.

Other pending extensions in JPS3 allow for generic client-side (job-constraints-supported, job-resolvers-supported) and printer-side (Validate-Job preferred-attributes) constraint resolution when simple coloring (filtering) of -supported and -default values is insufficient.

________________________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Wed, 28 Mar 2012 03:37:36 +0000

Thanks for the quick reply, Mike!  And thanks for your patience as well - I should have re-read RFC 2911 and 3196 to answer my own questions.

Cheers,
Smith